Subject: Re: bug#48406: 28.0.50; Emacs stuck in infinite loop in wait_reading_process_output when opening in fullscreen (NS)

From: Alan Third <[email-masked]>
Date: Wed, 26 May 2021 21:28:38 +0100

On Wed, May 26, 2021 at 09:26:39PM +0100, Alan Third wrote:
> 
> > > I *do* remember that there was a pause required for the non-native
> > > fullscreen due to a crash, and I don't think that will have changed,
> > > except that I don't think I've heard from anyone still using 10.6 for
> > > a couple of years now.
> > 
> > Well, we can pause for the non-native fullscreen users.
> 
> Good news, as far as I can see the pause is no longer required! It's
> in ns_fullscreen_hook, so if you remove that and all the other pauses
> too, we can try pushing it up to master. (See bug#28443.)

Actually, no, it's still needed for now, but it doesn't have any
effect on the rest, so please, if you want to remove all the pauses
(except the non-native one) we can try it out.
-- 
Alan Third